> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/cidr-block/deletecidrs.md).

# DeleteCidrs

## 1. 接口描述

本接口(DeleteCidrs)用于删除一个或多个IPv4 CIDR地址块。

{% hint style="info" %}
**注意事项**

* CIDR 地址段下如果有分配的 EIP，则无法删除该 CIDR 地址段。
* 普通账号删除CIDR后，该资源会直接回收。操作不可逆。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称    | 必选 | 类型              | 描述            |
| ------- | -- | --------------- | ------------- |
| cidrIds | 是  | Array of String | 要删除的cidrId列表。 |

## 3. 响应结果

| 参数名称          | 类型              | 描述                                                       |
| ------------- | --------------- | -------------------------------------------------------- |
| requestId     | String          | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| failedCidrIds | Array of String | 操作失败的CIDR ID列表。                                          |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 批量删除CIDR。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteCidrs
<Common Request Params>

Request：
{
  "cidrIds": [
    "cidrId1",
    "cidrId2"
  ]
}

Response：
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "failedCidrIds": []
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
